Bug 111643 - Kernel hangs if IRQ 12 reassigned by BIOS when no PS/2 mouse attached
Kernel hangs if IRQ 12 reassigned by BIOS when no PS/2 mouse attached
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-07 13:02 EST by Rich Scheller
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:48:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Scheller 2003-12-07 13:02:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
The stock kernel with Fedora Core 1 (2.4.22-1.2115-nptl) locks up when
attempting to probe a USB bus which has been assigned IRQ 12 by the
BIOS.  I do not have a PS/2 mouse attached to my machine, so IRQ 12 is
reassigned by the BIOS to another device (in my case, a USB 2.0
controller).

I have found these four workarounds for this problem:

1. Boot installation kernel with "nousb" paramter to void conflict. 
Not a very good workaround if you have a USB mouse. :-)

2. Attach a second mouse on the PS/2 mouse port.  In this case, both
the PS/2 and USB mice are recognized and work correctly together.

3. Build a custom kernel, disabling PS/2 mouse support. Unfortunately,
there's no way to make PS/2 mouse support a module (!), so it must be
disabled entirely.

4. In the BIOS setup, mark IRQ 12 as "reserved", preventing the BIOS
from assigning it to anything at all.  

Even though #4 is an excellent workaround, this is still a problem
because other operating systems installed on this machine have no
problem at all when the BIOS assigns IRQ 12 to the USB controller. 
For a PC hardware novice, this bug is a showstopper right at the start
of Linux installation.


Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2115.nptl

How reproducible:
Always

Steps to Reproduce:
1. Get a motherboard that reassigns IRQ 12 to the USB controller when
no PS/2 mouse attached.  (e.g. Abit KV7)
2. Attach a USB mouse.
3. Do NOT attach a PS/2 mouse.
4. Boot from the Fedore Core 1 installation CD-ROM.
    

Actual Results:  Kernel locks up.  Machine must be hard reset.

Expected Results:  Kernel should not lock up.  Installation screen
should appear.

Additional info:

Hardware configuration:

Motherboard: Abit KV7, latest BIOS level
Chipset: VIA KT600 / VT8237
Keyboard: PS/2
Mouse: USB (Microsoft Wireless Optical Mouse Blue)

Output of "lspci":

00:00.0 Host bridge: VIA Technologies, Inc. VT8377 [KT400 AGP] Host
Bridge (rev 80)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI Bridge
00:0b.0 FireWire (IEEE 1394): Texas Instruments TSB12LV26 IEEE-1394
Controller (Link)
00:0c.0 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:0c.3 USB Controller: ALi Corporation USB 2.0 Controller (rev 01)
00:0f.0 RAID bus controller: VIA Technologies, Inc.: Unknown device
3149 (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT8233/A/C/VT8235 PIPC Bus Master IDE (rev 06)
00:10.0 USB Controller: VIA Technologies, Inc. USB (rev 81)
00:10.1 USB Controller: VIA Technologies, Inc. USB (rev 81)
00:10.2 USB Controller: VIA Technologies, Inc. USB (rev 81)
00:10.3 USB Controller: VIA Technologies, Inc. USB (rev 81)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
00:11.0 ISA bridge: VIA Technologies, Inc.: Unknown device 3227
00:11.5 Multimedia audio controller: VIA Technologies, Inc.
VT8233/A/8235 AC97 Audio Controller (rev 60)
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II]
(rev 78)
01:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX
5200] (rev a1)
Comment 1 David Lawrence 2004-09-29 15:48:41 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.